**CoW Swap Terms & Conditions**

<i><b>Last updated: August 2021</b></i>

Please read these Terms carefully before using our Platform. By using our Platform, you confirm that you accept these Terms and agree to comply with them. If you do not agree, you must not use our Platform. If you think that there is an error in these Terms, please contact us via the GnosisDAO subcategory of <a href="https://forum.cow.fi/" target="_blank" rel="noopener nofollow">forum.cow.fi</a> to discuss.

**TERMS AND CONDITIONS (“TERMS”)**

**1. WHO WE ARE AND HOW TO CONTACT US**

1.  CoW Swap is operated by GnosisDAO (”**we**” or “**us**”). We are an
    Ethereum based organisation managed by community members. To contact
    us, please write to us via the
    GnosisDAO subcategory of <a href="https://forum.cow.fi/" target="_blank" rel="noopener nofollow">forum.cow.fi</a>.
2.  We use open source products and developer materials from Gnosis
    Limited and affiliated persons and entities (“**Affiliates**”) as
    well as other third parties to provide a Platform to CoW Protocol
    version 2 (the “**Protocol**”). The provision of the Platform and
    the Protocol is based solely on our independent actions.

**2. WE PROVIDE A PLATFORM TO INTERACTING WITH THE COW PROTOCOL**

1.  We provide a graphical user interface (the “**Platform**”) to
    facilitate you interacting with the Protocol.
2.  The Protocol was developed by Gnosis Limited and is governed by
    smart contracts that allow permissionless peer-to-peer trades
    between users applying a batch auction mechanism and without the
    need for intermediaries on Ethereum Mainnet, and Ethereum Virtual
    Machine compatible validation mechanisms. We are not a custodian or
    a counterparty to any transactions executed by you on the Protocol.
    We do not support any other service, particularly we do not provide
    any order matching, guaranteed prices, or similar exchange or
    trading platform services.

**3. BY USING OUR PLATFORM, YOU ACCEPT THESE** **TERMS**

1.  These are the general terms and conditions ("**Terms**") that apply
    to the use of our Platform and the Protocol.
2.  By using our Platform, you confirm that you (1) accept and agree to
    these Terms and that you agree
    to comply with them. If you do not agree, you must not use our
    Platform.
3.  You are responsible for ensuring that all persons who access or use
    our Platform through your device or internet connection are aware of
    these Terms, and that they
    comply with them.
4.  We may amend these Terms at our
    sole discretion. We regularly do so. Every time you wish to use our
    Platform, please check these Terms
    to ensure you understand the terms that apply at that time.
5.  We may terminate or suspend your access to our Platform immediately,
    without prior notice or liability, if you breach any clause of the
    Terms. Upon termination of your access, your right to use the
    Platform will immediately cease. Clauses 7 to 22 and any other term
    intended so will survive any termination of these Terms.
6.  You may have been recommended to the Platform by a third party. We
    shall not be liable for any agreement or terms that may exist
    between you and the respective third party.

**4. WHAT YOU REQUIRE TO USE OUR PLATFORM**

1.  Users may use our Platform to interact with the Protocol and buy or sell
    ERC 20 tokens by submitting orders into a batch auction running on the
    Protocol.

2.  A detailed step-by-step guide on how to use the Platform may be found <a href="/#/faq" target="_blank" rel="noopener nofollow">in the “FAQ” section on the Platform</a>.

3.  To use the Platform you require:
    1. A wallet compatible with the Ethereum Blockchain or an Ethereum
       Virtual Machine compatible validation mechanism, depending on which
       network you interact with the Protocol. We currently only support
       MetaMask and WalletConnect compatible wallets, and do not yet
       support any smart contract wallet. We have not tested compatibility
       with any other wallet.
    2. An ERC 20 token to trade
    3. Depending on whether you interact with the Protocol on Ethereum
       Mainnet or an Ethereum Virtual Machine compatible validation
       mechanism, sufficient ETH or the networks native crypto asset in
       your Wallet, respectively, to pay for transactions fees, which are
       incurred through the Protocol on Ethereum or the Ethereum Virtual
       Machine compatible validation mechanism.

**5. FEES**

CoW Swap does not levy any fees on users of the Platform, however the
user incurs a fee on the Protocol level, which is shown to the user on
the CoW Swap interface when the user places their trade.

**6. WE MAY MAKE CHANGES TO OR SUSPEND OR WITHDRAW OUR PLATFORM**

1.  We may update and change our Platform from time to time. Our Platform is
    currently made available free of charge. We do not guarantee that our
    Platform will always be available or be uninterrupted or be free of
    charge. We may suspend or withdraw or restrict the availability of all
    or any part of our Platform for business, operational or regulatory
    reasons at 1-day’s notice or, in case of Force Majeure in accordance
    with clause 6.2, at no notice.

2.  Force Majeure shall mean any event, circumstance or cause beyond our
    reasonable control, which makes the provision of our Platform impossible
    or onerous, including, without limitation:

    1. acts of God, flood, storm, drought, earthquake or other natural
       disaster;
    2. epidemic or pandemic;
    3. terrorist attack, civil war, civil commotion or riots, war, threat
       of or preparation for war, armed conflict, imposition of sanctions,
       embargo, or breaking off of diplomatic relations;
    4. nuclear, chemical or biological contamination;
    5. any law or any action taken by a government or public authority,
       including without limitation imposing a prohibition, or failing to
       grant a necessary licence or consent;
    6. collapse of buildings, breakdown of plant or machinery, fire,
       explosion or accident; and
    7. strike, industrial action or lockout.

3.  You are also responsible for ensuring that all persons who access our
    Platform through your internet connection are aware of these Terms and
    that they comply with them.

**7. YOU ARE RESPONSIBLE TO SECURE YOUR CRYPTOGRAPHIC ASSETS, WE DO NOT TAKE CUSTODY**

1.  You must control the wallet you use in connection with our
    Platform.
2.  You are responsible for implementing all appropriate measures for
    securing the wallet you use for the Platform, including any private
    key(s), seed words or other credentials necessary to access such
    storage mechanism(s). By using our Platform, we do not gain custody
    of any of your private keys.
3.  We shall not be responsible for any security measures relating to
    the wallet you use for the Platform and exclude (to the fullest
    extent permitted under applicable law) any and all liability for any
    security breaches or other acts or omissions, which result in your
    loss of access or custody of any cryptographic assets stored
    thereon.

**8. YOU ARE RESPONSIBLE FOR AND DETERMINE YOUR TAX LIABILITIES**

You are solely responsible to determine if your use of the Platform has
tax implications for you. By using the Platform you agree not to hold us
liable for any tax liability you incur arising out of or associated with
your usage of the Platform or any other action or transaction related
thereto.

**9. INFORMATION ON THE PLATFORM ARE NOT ADVICE**

None of the information available on our Platform, or made otherwise
available to you in relation to its use, constitutes any legal, tax,
financial or other advice. When in doubt as to the action you should
take, you should consult your legal, financial, tax or other
professional advisors.

**10. OUR INTELLECTUAL PROPERTY RIGHTS ARE RESERVED**

1.  Subject to the application of the GNU Lesser General Public License
    v3.0 to the software code of the Platform, we are the owner or the
    licensee of all intellectual property rights of the Platform. Those
    works are protected by intellectual property laws and treaties
    around the world. All such rights are reserved.
2.  Subject to your compliance with these Terms, we grant you a limited,
    revocable, non-exclusive, non-transferable, non-sublicensable
    licence to access the Platform. This licence does not include any
    resale, commercial or derivative use of our Platform. We reserve and
    retain all rights not expressly granted to you in these Terms. The Platform may not be
    reproduced, sold, or otherwise exploited for any commercial purpose
    without our express prior written consent. You may not frame or
    utilize framing techniques to enclose any trademark, logo, or other
    proprietary information of us without our express prior written
    consent. You may not misuse the Platform and may only use it as
    permitted by law. If you breach our intellectual property rights in
    violation of these Terms, your
    license to use our Platform will automatically be revoked and
    terminated immediately.

**11. WE ARE NOT RESPONSIBLE FOR BUGS AND YOU MUST NOT INTRODUCE THEM**

1.  We do not guarantee that our Platform will be secure or free from
    bugs or viruses.
2.  You are responsible for configuring your information technology and
    computer programmes to access our Platform. You should use your own
    virus protection software.
3.  You must not misuse our Platform by knowingly introducing material
    that is malicious or technologically harmful. You must not attempt
    to gain unauthorised access to our Platform, any server on which our
    Platform may be stored, computer or database connected to our
    Platform. You must not attack our Platform via a denial-of-service
    attack or a distributed denial-of service attack. By breaching this
    provision, you would commit a criminal offence. We will report any
    such breach to the relevant law enforcement authorities and we will
    cooperate with those authorities, including, where possible, by
    disclosing your identity to them. In the event of such a breach,
    your right to use our Platform will cease immediately.

**12. RULES ABOUT YOU LINKING TO OUR PLATFORM**

1.  You may link to our Platform, provided you do so in a way that is
    fair and legal and does not damage our reputation or take advantage
    of it. You must not establish a link in such a way as to suggest any
    form of association, approval or endorsement on our part where none
    exists. You must not establish a link to our Platform in any website
    without the website’s authorisation.
2.  The website in which you are linking must comply in all respects
    with the content standards set out in these Terms. If you wish to link to or make
    any use of content on our interface other than that set out above,
    please contact us at the GnosisDAO
    subcategory of <a href="https://forum.cow.fi/" target="_blank" rel="noopener nofollow">forum.cow.fi</a>.

**13. YOUR WARRANTIES AND REPRESENTATIONS TO US**

1.  By using our Platform you hereby agree, represent and warrant that:

    1. you have read and understood the Terms
       and agree to be bound by them;
    2. you do not rely on, and shall have no
       remedies in respect of, any statement, representation, assurance or
       warranty (whether made innocently or negligently) that is not set
       out in these Terms;
    3. you have reached the legal age of majority applicable to you and you
       agree to provide legitimate and lawful documentation proving such
       status if we so request;
    4. your usage of our Platform is legal under the laws of your
       jurisdiction or under the laws of any other jurisdiction to which
       you may be subject;
    5. you understand the functionality, usage, storage, transmission
       mechanisms and intricacies associated with cryptographic assets,
       token storage facilities (including wallets), blockchain technology
       and blockchain-based software systems;
    6. you understand that transactions on the Ethereum Mainnet and
       Ethereum Virtual Machine compatible validation mechanisms are
       irreversible and may not be erased and that your wallet address and
       any transaction is displayed permanently and publicly and that you
       relinquish any right of rectification or erasure of personal data;
    7. you shall comply with any applicable tax obligations in your
       jurisdiction arising from your use of the Platform;
    8. you shall not misuse or gain unauthorised access to our Platform by
       knowingly introducing viruses, Trojan horses, worms, time-bombs,
       keystroke loggers, spyware, adware or any other harmful programs or
       similar computer code designed to adversely affect our Platform and
       that in the event you do so or otherwise attack our Platform, we
       report any such activity to the relevant law enforcement
       authorities;
    9. you shall not access without authority, interfere with, damage or
       disrupt any part of our Platform, any equipment or network on which
       our Platform is stored, any software used in the provision of our
       Platform or any equipment or network or software owned or used by
       any third party;
    10. you shall not use our Platform for activities that are unlawful or
        fraudulent or have such purpose or effect or otherwise support any
        activities that breach applicable local, national or international
        law or regulations;
    11. you shall not use our Platform to trade cryptographic assets that
        are proceeds of criminal or fraudulent activity;
    12. the Platform, Protocol, the Ethereum Blockchain and Ethereum Virtual
        Machine compatible validation mechanisms are in an early development
        stage and we accordingly do not guarantee an error-free process and
        give no price or liquidity guarantee;
    13. you are using the Platform at your own risk;
    14. the risks of using the Platform are substantial and include, but are
        not limited to, the ones set out in the [**APPENDIX**](#appendix), which is
        hereby expressly incorporated into these Terms, and you are willing to accept
        the risk of loss associated therewith.

**14. YOUR INDEMNIFICATION AND LIABILITY TO US**

1.  You agree to release and indemnify, defend and hold us and any of
    our Affiliates harmless, as well as any members, participants,
    directors, officers, employees, contractors, shareholders and
    representatives of any of the foregoing, from and against any and
    all losses, liabilities, damages, costs claims or actions of any
    kind arising or resulting from your use of our Platform, your breach
    of these Terms, and any of your
    acts or omissions that infringe the rights of any person.
2.  We reserve the right, at our own expense, to assume exclusive
    defence and control of any matter otherwise subject to
    indemnification by you and, in such case, you agree to cooperate
    with us in the defence of such matter.
3.  The indemnity set out here is in addition to, and not in lieu of,
    any other remedies that may be available to us under applicable
    law.

**15. OUR LIABILITY FOR LOSS SUFFERED BY YOU IS LIMITED**

1.  We do not exclude or limit our liability to you where it would be
    unlawful to do so. This includes liability for death or personal
    injury caused by our negligence or fraud.
2.  <em>**YOU USE THIS PLATFORM AT YOUR OWN
    RISK AND YOU ASSUME FULL RESPONSIBILITY FOR SUCH USE. TO THE MAXIMUM
    EXTENT PERMITTED BY APPLICABLE LAW, WE EXCLUDE ALL IMPLIED
    CONDITIONS, WARRANTIES, REPRESENTATIONS OR OTHER TERMS THAT MAY
    APPLY TO OUR PLATFORM OR ANY OTHER CONTENT ON OUR INTERFACE. WE WILL
    NOT BE LIABLE TO YOU FOR ANY LOSS OR DAMAGE, WHETHER IN CONTRACT,
    TORT (INCLUDING NEGLIGENCE), BREACH OF STATUTORY DUTY, OR OTHERWISE,
    EVEN IF FORESEEABLE, ARISING UNDER OR IN CONNECTION WITH THE USE OF,
    OR INABILITY TO USE, OUR PLATFORM; OR THE USE OF OR RELIANCE ON ANY
    CONTENT DISPLAYED ON OUR PLATFORM. WE WILL NOT BE LIABLE FOR LOSS OF
    PROFITS, SALES, BUSINESS, OR REVENUE, BUSINESS INTERRUPTION,
    ANTICIPATED SAVINGS, BUSINESS OPPORTUNITY, GOODWILL OR REPUTATION OR
    ANY INDIRECT OR CONSEQUENTIAL LOSS OR DAMAGE.**</em>

**16. HOW TO RESOLVE COMPLAINTS AND DISPUTES**

1.  If an alleged breach, controversy, claim, dispute or difference
    arises out of or in connection with
    the present Terms between you and us (a “**Dispute**”),
    you agree to seek to resolve the matter with us amicably by
    referring the matter to GnosisDAO subcategory of <a href="https://forum.cow.fi/" target="_blank" rel="noopener nofollow">forum.cow.fi</a>
    with a detailed description, the date and time the issue arose, your
    handle to contact you on and the outcome you are seeking.
2.  Your right to take legal action remains unaffected by the existence
    or use of this complaints procedure.

**17. DISPUTE RESOLUTION**

1.  YOU AGREE AND UNDERSTAND THAT BY ENTERING INTO THIS AGREEMENT, YOU
    EXPRESSLY WAIVE ANY RIGHT, IF ANY, TO A TRIAL BY JURY AND RIGHT TO
    PARTICIPATE IN A CLASS ACTION LAWSUIT.
2.  In the event a Dispute cannot be resolved amicably in accordance
    with clause 16, you must first refer the Dispute to proceedings
    under the International Chamber of Commerce (“ICC”) Mediation Rules,
    which Rules are deemed to be incorporated by reference into this
    clause 17. The place of mediation shall be London, United Kingdom.
    The language of the mediation proceedings shall be English.
3.  If the Dispute has not been settled pursuant to the ICC Mediation
    Rules within 40 days following the filing of a Request for Mediation
    in accordance with the ICC Mediation Rules or within such other
    period as the parties to the Dispute may agree in writing, such
    Dispute shall thereafter be finally settled under the Rules of
    Arbitration of the International Chamber of Commerce by three
    arbitrators appointed in accordance with the said Rules. The seat of
    Arbitration shall be London, United Kingdom. The governing law of
    this arbitration clause shall be the laws of England and Wales. The
    language of the arbitration shall be English. The Emergency
    Arbitrator Provisions shall not apply.
4.  If the Dispute cannot be resolved for legal reasons in accordance
    with the procedure in Clause 16, you and we agree that the courts of
    England and Wales shall have exclusive jurisdiction to resolve the
    Dispute.

**18. GOVERNING LAW**

This Agreement shall be governed by and construed in accordance with the
substantive laws of England & Wales without regard to conflict of laws
principles but with the Hague Principles on the Choice of Law in
International Commercial Contracts hereby incorporated by reference.

**19. THIRD PARTY BENEFICIARIES**

1.  Clauses 4 to 21 also apply to the
    benefit of the Affiliates and such benefit also encompasses Protocol-related
    matters.
2.  Subject to 19.1, these Terms do not
    give rise to any third party rights, which may be enforced against
    Us.

**20. THE TERMS ARE OUR ENTIRE AGREEMENT WITH YOU AND WE MAY ASSIGN THE TERMS**

1.  We may assign these Terms to
    any of our Affiliates or in connection with a merger or other
    disposition of all or substantially all of our assets.
2.  These Terms constitute the
    entire and exclusive agreement between us and you regarding its
    subject matter, and supersede and replace any previous or
    contemporaneous written or oral contract, promises, assurances,
    assurances, warranty, representation or understanding regarding its
    subject matter, whether written or oral. You shall have no claim for innocent or
    negligent misrepresentation or misstatement based on any statement
    in these Terms, though nothing in this clause shall limit or exclude
    any liability for fraud.

**21. WE WAIVE NO RIGHTS AND DO NOT ALLOW ASSIGNMENT**

1.  You may not assign, transfer or delegate any of your rights or
    duties arising out of or in connection with these Terms to a third party. Any such
    assignment or transfer shall be void and shall not impose any
    obligation or liability on us to the assignee or transferee.
2.  Any delay or omission by us in relation to the exercise of any right
    granted by law or under these Terms
    shall not as a result exclude or prevent the later exercise
    of such a right.

**22. PROVISIONS ARE SEVERABLE, IF FOUND INVALID**

1.  If any provision or part-provision of these Terms is or becomes invalid, illegal
    or unenforceable, it shall be deemed modified to the minimum extent
    necessary to make it valid, legal and enforceable. If such
    modification is not possible, the relevant provision or
    part-provision shall be deemed deleted. Any modification to or
    deletion of a provision or part-provision under this clause shall
    not affect the validity and enforceability of the rest of these
    Terms.

<a id="appendix"></a> **APPENDIX**

**RISKS**

<span style="text-decoration: underline;">PRICE FLUCTUATIONS</span>

ERC 20 tokens are neither legal tender backed by governments nor by
assets. The tokens’ value is highly volatile causing price fluctuations,
as auctions typically run for some time and trades are not executed
instantly.

<hr>

<span style="text-decoration: underline;">REGULATORY ACTION</span>

We could be impacted by regulatory inquiries or action, which could impede
or limit your ability to access or use the Platform.

<hr>

<span style="text-decoration: underline;">TECHNICAL UNDERSTANDING</span>

Cryptographic assets are described in technical language requiring a
comprehensive understanding of computer science and mathematics to
appreciate the inherent risks.

<hr>

<span style="text-decoration: underline;">TRANSACTIONS ON ETHEREUM
MAINNET AND ETHEREUM VIRTUAL MACHINE COMPATIBLE VALIDATION MECHANISMS
ARE IMMUTABLE AND IRREVERSIBLE</span>

Transactions on Ethereum Mainnet and Ethereum Virtual Machine compatible
validation mechanisms are generally immutable and irreversible. Any
transaction thereon is therefore irrevocable and final as soon as it is
settled thereon. In the event that you send your tokens to sell to any
other destination other than the Protocol smart contracts, such tokens
may not be returned. We assume no responsibility and shall have no
obligation to you if this occurs, including but not limited to any
responsibility to recover, or assist to recover, any such tokens.

<hr>

<span style="text-decoration: underline;">FAILURES WITHIN DATA STORAGE
SYSTEMS</span>

Our Platform may in part be established on servers at data centre
facilities of third party providers and on distributed systems for
storing and accessing data including IPFS. Where centralised services
may be used, we may be required to transfer our Platform to different
facilities, and may incur service interruption in connection with such
relocation. Data centre facilities are vulnerable to force majeure
events or other failures. Third party providers may suffer breaches of
security and others may obtain unauthorised access to our server data.
Where content is stored via distributed systems, there may be
interference in content addressing, content linking, indexing and
discovery. As techniques used to obtain unauthorised access change
frequently and generally are not recognised until used against a target,
it may not be possible to anticipate these techniques or to implement
adequate preventive measures.
